public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/openconnect/
Date: Thu,  5 May 2022 15:10:08 +0000 (UTC)	[thread overview]
Message-ID: <1651763390.b1960491b6e50ce4e51a51640a70486f81486733.floppym@gentoo> (raw)

commit:     b1960491b6e50ce4e51a51640a70486f81486733
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Thu May  5 09:26:58 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu May  5 15:09:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1960491

net-vpn/openconnect: add 9.01

Closes: https://github.com/gentoo/gentoo/pull/25332
Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 net-vpn/openconnect/Manifest                |   1 +
 net-vpn/openconnect/openconnect-9.01.ebuild | 149 ++++++++++++++++++++++++++++
 2 files changed, 150 insertions(+)

diff --git a/net-vpn/openconnect/Manifest b/net-vpn/openconnect/Manifest
index d98ead0c1db1..4c852ec69782 100644
--- a/net-vpn/openconnect/Manifest
+++ b/net-vpn/openconnect/Manifest
@@ -1,2 +1,3 @@
 DIST openconnect-8.10.tar.gz 2084534 BLAKE2B 98ad0e24e09bc565f359139540f60eb9b6b5ed2239a9c46c56889b8554fc3de3605c10f1bb4fa0b0b206ba35404ae90a389ab8dcee54cf05a24d984529d24c2a SHA512 a36a106cf5c637602fc5bd3cd12df8f6dfe55217c1aae93c66ca33208507f3f8cda15e3a46d75615c7fcea1859d1a04017a07674ad0246876154467305477356
 DIST openconnect-8.20.tar.gz 2651542 BLAKE2B 327b437993ee0d705c0194202f6fd7c2b330e69bfbb916ef004b0662c8b9aebc1252aa3c83bd41b4d1cf85b933878d37b1a7608f076d82b50e325a3efaea2dec SHA512 76f5e49948391397ea1f7d2fca5798731f4278fee74c3da9b0f0daba6c386ce79ec5d87d40b6d3d99bb2528a038b5a2076df4159bb29c52cba62efb2ca52c8ab
+DIST openconnect-9.01.tar.gz 2718526 BLAKE2B e346b30ed8a299bcdd1fc88868d59b4d501c48bc5c02092e92e7ded0cd36e4de6a5b65aae4f6bf8c9aa60cf70f5466b110b64889df8d286016c9a1b4d9f46ff7 SHA512 b7428847a90f8ca9d1f1f61653c1f2486f0a07989f3b7435b746c5e901998194f4ee2b4f9569a548a23bba368bb1e9f273674c0759aac9df30208d2a6a303c34

diff --git a/net-vpn/openconnect/openconnect-9.01.ebuild b/net-vpn/openconnect/openconnect-9.01.ebuild
new file mode 100644
index 000000000000..7759c17fd9b3
--- /dev/null
+++ b/net-vpn/openconnect/openconnect-9.01.ebuild
@@ -0,0 +1,149 @@
+# Copyright 2011-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="xml"
+
+inherit linux-info python-any-r1
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://gitlab.com/openconnect/openconnect.git"
+	inherit git-r3 autotools
+else
+	SRC_URI="ftp://ftp.infradead.org/pub/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Free client for Cisco AnyConnect SSL VPN software"
+HOMEPAGE="http://www.infradead.org/openconnect.html"
+
+LICENSE="LGPL-2.1 GPL-2"
+SLOT="0/5"
+IUSE="doc +gnutls gssapi libproxy lz4 nls pskc selinux smartcard stoken test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+	dev-libs/libxml2
+	sys-libs/zlib
+	app-crypt/p11-kit
+	!gnutls? (
+		>=dev-libs/openssl-1.0.1h:0=
+		dev-libs/libp11
+	)
+	gnutls? (
+		app-crypt/trousers
+		app-misc/ca-certificates
+		dev-libs/nettle
+		>=net-libs/gnutls-3.6.13:0=
+		dev-libs/libtasn1:0=
+		app-crypt/tpm2-tss:=
+	)
+	gssapi? ( virtual/krb5 )
+	libproxy? ( net-libs/libproxy )
+	lz4? ( app-arch/lz4:= )
+	nls? ( virtual/libintl )
+	pskc? ( sys-auth/oath-toolkit[pskc] )
+	smartcard? ( sys-apps/pcsc-lite:0= )
+	stoken? ( app-crypt/stoken )
+"
+DEPEND="${COMMON_DEPEND}
+	test? (
+		net-libs/socket_wrapper
+		sys-libs/uid_wrapper
+		!gnutls? ( dev-libs/openssl:0[weak-ssl-ciphers(-)] )
+	)
+"
+RDEPEND="${COMMON_DEPEND}
+	sys-apps/iproute2
+	>=net-vpn/vpnc-scripts-20210402-r1
+	selinux? ( sec-policy/selinux-vpn )
+"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( ${PYTHON_DEPS} sys-apps/groff )
+	nls? ( sys-devel/gettext )
+	test? ( net-vpn/ocserv )
+"
+
+CONFIG_CHECK="~TUN"
+
+pkg_pretend() {
+	check_extra_config
+}
+
+pkg_setup() {
+	:
+}
+
+src_unpack() {
+	if [[ ${PV} == 9999 ]]; then
+		git-r3_src_unpack
+	fi
+	default
+}
+
+src_prepare() {
+	default
+	if [[ ${PV} == 9999 ]]; then
+		eautoreconf
+	fi
+}
+
+src_configure() {
+	if use doc; then
+		python_setup
+	else
+		export ac_cv_path_PYTHON=
+	fi
+
+	# Used by tests if userpriv is disabled
+	addwrite /run/netns
+
+	local myconf=(
+		--disable-dsa-tests
+		$(use_enable nls)
+		--disable-static
+		$(use_with !gnutls openssl)
+		$(use_with gnutls)
+		$(use_with libproxy)
+		$(use_with lz4)
+		$(use_with gssapi)
+		$(use_with pskc libpskc)
+		$(use_with smartcard libpcsclite)
+		$(use_with stoken)
+		--with-vpnc-script="${EPREFIX}/etc/vpnc/vpnc-script"
+		--without-java
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_test() {
+	local charset
+	for charset in UTF-8 ISO-8859-2; do
+		if [[ $(LC_ALL=cs_CZ.${charset} locale charmap 2>/dev/null) != ${charset} ]]; then
+			# If we don't have valid cs_CZ locale data, auth-nonascii will fail.
+			# Force a test skip by exiting with status 77.
+			sed -i -e '2i exit 77' tests/auth-nonascii || die
+			break
+		fi
+	done
+	default
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+
+	dodoc "${FILESDIR}"/README.OpenRC
+
+	newconfd "${FILESDIR}"/openconnect.confd openconnect
+	newinitd "${FILESDIR}"/openconnect.initd openconnect
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}"/openconnect.logrotate openconnect
+
+	keepdir /var/log/openconnect
+}


             reply	other threads:[~2022-05-05 15:10 UTC|newest]

Thread overview: 112+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-05 15:10 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-27 16:13 [gentoo-commits] repo/gentoo:master commit in: net-vpn/openconnect/ Mike Gilbert
2024-04-13 15:47 Mike Gilbert
2024-04-13 15:31 Mike Gilbert
2023-06-06  0:26 Mike Gilbert
2023-06-02  5:34 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-05-21 20:47 Mike Gilbert
2023-05-17 18:29 Mike Gilbert
2023-05-05 14:42 Mike Gilbert
2023-05-01 15:15 Sam James
2023-04-18  6:06 Sam James
2022-11-24 12:00 WANG Xuerui
2022-09-07  7:52 Michał Górny
2022-08-30  8:37 Jakov Smolić
2022-08-23 18:10 Arthur Zamarin
2022-08-20  7:03 Arthur Zamarin
2022-08-20  3:47 Sam James
2022-08-20  0:22 Yixun Lan
2022-08-19 19:12 Mike Gilbert
2022-07-31 11:10 Agostino Sarubbo
2022-07-31 11:08 Agostino Sarubbo
2022-07-31 11:06 Agostino Sarubbo
2022-07-31  8:27 Sam James
2022-07-31  8:27 Sam James
2022-07-30 21:54 Mike Gilbert
2022-07-30 21:54 Mike Gilbert
2022-07-30 21:54 Mike Gilbert
2022-05-19  7:49 Agostino Sarubbo
2022-05-15  9:05 Jakov Smolić
2022-05-13 21:06 Jakov Smolić
2022-05-13 20:09 Jakov Smolić
2022-05-13 20:09 Jakov Smolić
2022-04-23 23:31 Mike Gilbert
2022-04-23 21:34 Sam James
2022-04-11 12:31 Mike Gilbert
2022-04-11  1:08 Mike Gilbert
2022-04-11  0:46 Mike Gilbert
2022-04-11  0:46 Mike Gilbert
2022-04-09 22:05 Jason Zaman
2021-10-20 17:47 Mike Gilbert
2021-10-16 22:05 Sam James
2021-10-14 18:32 Sam James
2021-10-14 16:38 Sam James
2021-10-14  5:57 Agostino Sarubbo
2021-10-13 20:33 Sam James
2021-10-10 19:08 Mike Gilbert
2021-10-02  6:02 Mike Gilbert
2021-10-02  6:01 Mike Gilbert
2021-10-02  6:01 Mike Gilbert
2021-07-24 23:02 Marek Szuba
2021-03-27 18:25 Agostino Sarubbo
2020-11-12 15:30 Sam James
2020-11-12 15:09 Sam James
2020-11-11 16:44 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-09-02 16:33 Mike Gilbert
2020-06-10 23:32 Mike Gilbert
2020-06-08  6:41 Michał Górny
2020-05-14 21:29 Thomas Deutschmann
2020-05-13 17:14 Agostino Sarubbo
2020-05-09  8:47 Mart Raudsepp
2020-05-07 16:35 Mikle Kolyada
2020-05-07 15:58 Agostino Sarubbo
2020-05-06  1:01 Thomas Deutschmann
2020-05-06  1:00 Mike Gilbert
2020-05-02 13:30 Mart Raudsepp
2020-05-01  9:11 Georgy Yakovlev
2020-05-01  4:27 Mike Gilbert
2020-04-22 18:03 Mike Gilbert
2020-04-22 17:05 Agostino Sarubbo
2020-04-22 17:04 Agostino Sarubbo
2020-04-22 17:02 Agostino Sarubbo
2020-04-22 17:01 Agostino Sarubbo
2020-04-22 16:41 Mart Raudsepp
2020-04-21 19:58 Mike Gilbert
2020-04-21 19:27 Mike Gilbert
2020-04-03 14:26 Mike Gilbert
2020-04-03  4:14 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-02-16 20:24 David Seifert
2019-12-09 19:54 Mike Gilbert
2019-11-01 10:45 Mikle Kolyada
2019-10-06 20:56 Aaron Bauman
2019-10-03  8:14 Agostino Sarubbo
2019-10-03  7:59 Agostino Sarubbo
2019-10-03  7:57 Agostino Sarubbo
2019-09-24 19:27 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-05-24 20:48 Aaron Bauman
2019-01-19  3:41 Mike Gilbert
2019-01-18 17:21 Mike Gilbert
2019-01-18 17:11 Mike Gilbert
2018-10-22  0:37 Mike Gilbert
2018-10-22  0:37 Mike Gilbert
2018-03-28 17:08 Mike Gilbert
2018-01-05 22:02 Ulrich Müller
2017-08-28  4:42 Markus Meier
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-07 19:16 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1651763390.b1960491b6e50ce4e51a51640a70486f81486733.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox